import mwpy_gameobject
clock = mwpy_gameobject.clock

MWPYGameObject = mwpy_gameobject.MWPYGameObject
MWPYGameObjectType = mwpy_gameobject.MWPYGameObjectType
MWPYGameObjectState = mwpy_gameobject.MWPYGameObjectState


class MWPYDoor(MWPYGameObject):
	def __init__(self, gameObjectType = MWPYGameObjectType['MWGOT_DOOR']):
		MWPYGameObject.__init__(self, gameObjectType)
		self.state = MWPYGameObjectState['AS_CLOSE']

	def open(self):
		self.state = MWPYGameObjectState['AS_OPEN']  

